org.eclipse.wst.jsdt.js.bower

## Class BowerJson

- java.lang.Object
- - org.eclipse.wst.jsdt.js.bower.BowerJson

    public class BowerJson
    extends java.lang.Object

Packages are defined by a manifest file bower.json. This is similar to Node's package.json or Ruby's Gemfile.

See Also:
  http://bower.io/docs/creating-packages/#bowerjson

### Nested Class Summary

Nested Classes
`static class` `BowerJson.Builder`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getAuthors()`
`java.util.Map<java.lang.String,java.lang.String>` `getDependencies()`
`java.util.List<java.lang.String>` `getIgnore()`
`java.lang.String` `getLicense()`
`java.lang.String` `getName()`
`java.lang.String` `getVersion()`
`void` `setAuthors(java.util.List<java.lang.String> authors)`
`void` `setDependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)`
`void` `setIgnore(java.util.List<java.lang.String> ignore)`
`void` `setLicense(java.lang.String license)`
`void` `setName(java.lang.String name)`
`void` `setVersion(java.lang.String version)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getName

    public java.lang.String getName()

#### setName

    public void setName(java.lang.String name)

#### getVersion

    public java.lang.String getVersion()

#### setVersion

    public void setVersion(java.lang.String version)

#### getAuthors

    public java.util.List<java.lang.String> getAuthors()

#### setAuthors

    public void setAuthors(java.util.List<java.lang.String> authors)

#### getLicense

    public java.lang.String getLicense()

#### setLicense

    public void setLicense(java.lang.String license)

#### getIgnore

    public java.util.List<java.lang.String> getIgnore()

#### setIgnore

    public void setIgnore(java.util.List<java.lang.String> ignore)

#### getDependencies

    public java.util.Map<java.lang.String,java.lang.String> getDependencies()

#### setDependencies

    public void setDependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`